[Qa-jenkins-scm] Build failed in Jenkins: reproducible_fdroid_test #4

jenkins at jenkins.debian.net jenkins at jenkins.debian.net
Wed Nov 8 12:18:18 UTC 2017


See <https://jenkins.debian.net/job/reproducible_fdroid_test/4/display/redirect?page=changes>

Changes:

[hans] jenkins-test: ./run-tests needs ANDROID_HOME

------------------------------------------
Started by an SCM change
[EnvInject] - Loading node environment variables.
Building remotely on profitbricks-build7-amd64.debian.net (profitbricks7 amd64) in workspace <https://jenkins.debian.net/job/reproducible_fdroid_test/ws/>
Wiping out workspace first.
Cloning the remote Git repository
Cloning repository https://gitlab.com/fdroid/fdroidserver.git
 > git init <https://jenkins.debian.net/job/reproducible_fdroid_test/ws/> # timeout=10
Fetching upstream changes from https://gitlab.com/fdroid/fdroidserver.git
 > git --version # timeout=10
 > git fetch --tags --progress https://gitlab.com/fdroid/fdroidserver.git +refs/heads/*:refs/remotes/origin/*
 > git config remote.origin.url https://gitlab.com/fdroid/fdroidserver.git # timeout=10
 > git config --add remote.origin.fetch +refs/heads/*:refs/remotes/origin/* # timeout=10
 > git config remote.origin.url https://gitlab.com/fdroid/fdroidserver.git # timeout=10
Fetching upstream changes from https://gitlab.com/fdroid/fdroidserver.git
 > git fetch --tags --progress https://gitlab.com/fdroid/fdroidserver.git +refs/heads/*:refs/remotes/origin/*
 > git rev-parse origin/master^{commit} # timeout=10
Checking out Revision 6bcdf6439b8bc5135af335bb514635632ac65124 (origin/master)
 > git config core.sparsecheckout # timeout=10
 > git checkout -f 6bcdf6439b8bc5135af335bb514635632ac65124
Commit message: "jenkins-test: ./run-tests needs ANDROID_HOME"
 > git rev-list 8cfc590b39970761084844e6f7176f3b7738ecdd # timeout=10
 > git tag -a -f -m Jenkins Build #4 jenkins-reproducible_fdroid_test-4 # timeout=10
[reproducible_fdroid_test] $ /bin/sh -xe /tmp/jenkins124484787465223295.sh
+ /srv/jenkins/bin/jenkins_master_wrapper.sh
====================================================================================

Wed Nov  8 12:18:10 UTC 2017 - running /srv/jenkins/bin/reproducible_fdroid_test.sh () on profitbricks-build7-amd64 now.

To learn to understand this, git clone https://anonscm.debian.org/git/qa/jenkins.debian.net.git
and then have a look at the files README, INSTALL, CONTRIBUTING and maybe TODO.

This invocation of this script, which is located in bin/reproducible_fdroid_test.sh,
has been called using "" as arguments.

Please send feedback about jenkins to qa-jenkins-dev at lists.alioth.debian.org,
or as a bug against the 'jenkins.debian.org' pseudo-package,
feedback about specific job results should go to their respective lists and/or the BTS.

====================================================================================
Wed Nov  8 12:18:10 UTC 2017 - start running "/srv/jenkins/bin/reproducible_fdroid_test.sh" (md5sum 030c449f065a7b00fcbf567724b1f4c8) as "/tmp/jenkins-script-H1qWiSEQ" on profitbricks-build7-amd64.

declare -x CHROOT_BASE="/chroots"
declare -x HOME="/var/lib/jenkins"
declare -x LANG="en_US.UTF-8"
declare -x LC_ALL="C.UTF-8"
declare -x LOGNAME="jenkins"
declare -x MAIL="/var/mail/jenkins"
declare -x MIRROR="http://deb.debian.org/debian"
declare -x OLDPWD
declare -x PATH="/usr/local/bin:/usr/bin:/bin:/usr/games"
declare -x PWD="/var/lib/jenkins"
declare -x SCHROOT_BASE="/schroots"
declare -x SCRIPT_HEADER="#!/bin/bash
	if true ; then
		set -x
	fi
	set -e
	export DEBIAN_FRONTEND=noninteractive
	export LC_ALL=C.UTF-8
	export http_proxy=http://localhost:3128
	export MIRROR=http://deb.debian.org/debian"
declare -x SHELL="/bin/bash"
declare -x SHLVL="3"
declare -x SSH_CLIENT="78.137.96.196 36392 22"
declare -x SSH_CONNECTION="78.137.96.196 36392 157.97.110.83 22"
declare -x SSH_ORIGINAL_COMMAND="reproducible_fdroid_test"
declare -x USER="jenkins"
declare -x XDG_RUNTIME_DIR="/run/user/106"
declare -x XDG_SESSION_ID="21143"
declare -x http_proxy="http://localhost:3128"
+ set -e
+ . /srv/jenkins/bin/reproducible_common.sh
++ set +x
+ GIT_REPO=https://gitlab.com/fdroid/fdroidserver
+ export WORKSPACE=/var/lib/jenkins/userContent/reproducible/reproducible_fdroid_build_apps
+ WORKSPACE=/var/lib/jenkins/userContent/reproducible/reproducible_fdroid_build_apps
+ '[' -e /var/lib/jenkins/userContent/reproducible/reproducible_fdroid_build_apps/.git ']'
+ cd /var/lib/jenkins/userContent/reproducible/reproducible_fdroid_build_apps
+ git remote set-url origin https://gitlab.com/fdroid/fdroidserver
+ git fetch --tags
>From https://gitlab.com/fdroid/fdroidserver
   8cfc590b..6bcdf643  master     -> origin/master
+ git clean -fdx
Skipping repository fdroiddata/
+ git reset --hard
HEAD is now at 8cfc590b hooks: add new jenkins scripts to syntax checker
+ git checkout master
Already on 'master'
Your branch is behind 'origin/master' by 1 commit, and can be fast-forwarded.
  (use "git pull" to update your local branch)
+ git reset --hard origin/master
HEAD is now at 6bcdf643 jenkins-test: ./run-tests needs ANDROID_HOME
+ git clean -fdx
Skipping repository fdroiddata/
+ trap cleanup_all INT TERM EXIT
+ ./jenkins-test
+ export ANDROID_HOME=/usr/lib/android-sdk
+ ANDROID_HOME=/usr/lib/android-sdk
+ cd tests
+ ./run-tests /var/lib/jenkins/userContent/reproducible/reproducible_fdroid_build_apps/fdroiddata/unsigned
==============================================================================
run commit hooks
+ echo_header 'run commit hooks'
+ cd /var/lib/jenkins/userContent/reproducible/reproducible_fdroid_build_apps
+ ./hooks/pre-commit
WARNING: pyflakes is not installed, using dummy placeholder!
WARNING: pycodestyle is not installed, using dummy placeholder!
==============================================================================
test python getsig replacement
+ echo_header 'test python getsig replacement'
+ cd /var/lib/jenkins/userContent/reproducible/reproducible_fdroid_build_apps/tests/getsig
+ ./make.sh
+ cd /var/lib/jenkins/userContent/reproducible/reproducible_fdroid_build_apps/tests
+ for testcase in $WORKSPACE/tests/*.TestCase
+ /var/lib/jenkins/userContent/reproducible/reproducible_fdroid_build_apps/tests/build.TestCase
localmodule: /var/lib/jenkins/userContent/reproducible/reproducible_fdroid_build_apps
.
----------------------------------------------------------------------
Ran 1 test in 0.011s

OK
+ for testcase in $WORKSPACE/tests/*.TestCase
+ /var/lib/jenkins/userContent/reproducible/reproducible_fdroid_build_apps/tests/common.TestCase
DEBUG:root:> /usr/lib/android-sdk/build-tools/debian/aapt version
DEBUG:root:> /usr/lib/android-sdk/build-tools/debian/aapt dump xmltree /var/lib/jenkins/userContent/reproducible/reproducible_fdroid_build_apps/tests/urzip.apk AndroidManifest.xml
DEBUG:root:> /usr/lib/android-sdk/build-tools/debian/aapt version
DEBUG:root:> /usr/lib/android-sdk/build-tools/debian/aapt dump xmltree /var/lib/jenkins/userContent/reproducible/reproducible_fdroid_build_apps/tests/urzip-badsig.apk AndroidManifest.xml
DEBUG:root:> /usr/lib/android-sdk/build-tools/debian/aapt version
DEBUG:root:> /usr/lib/android-sdk/build-tools/debian/aapt dump xmltree /var/lib/jenkins/userContent/reproducible/reproducible_fdroid_build_apps/tests/urzip-badcert.apk AndroidManifest.xml
DEBUG:root:> /usr/lib/android-sdk/build-tools/debian/aapt version
DEBUG:root:> /usr/lib/android-sdk/build-tools/debian/aapt dump xmltree /var/lib/jenkins/userContent/reproducible/reproducible_fdroid_build_apps/tests/urzip-release.apk AndroidManifest.xml
DEBUG:root:> /usr/lib/android-sdk/build-tools/debian/aapt version
DEBUG:root:> /usr/lib/android-sdk/build-tools/debian/aapt dump xmltree /var/lib/jenkins/userContent/reproducible/reproducible_fdroid_build_apps/tests/urzip-release-unsigned.apk AndroidManifest.xml
......CRITICAL:root:'repo_keyalias' not found in config.py!
CRITICAL:root:'keystore' not found in config.py!
CRITICAL:root:'keystorepass' not found in config.py!
CRITICAL:root:'keypass' not found in config.py!
.DEBUG:root:> sh -c echo stdout message && echo stderr message 1>&2
stdout message
stderr message
DEBUG:root:> sh -c echo stdout message && echo stderr message 1>&2
stderr message
stdout message
..E
======================================================================
ERROR: test_find_sdk_tools_cmd (__main__.CommonTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/var/lib/jenkins/userContent/reproducible/reproducible_fdroid_build_apps/tests/common.TestCase", line 88, in test_find_sdk_tools_cmd
    self._find_all()
  File "/var/lib/jenkins/userContent/reproducible/reproducible_fdroid_build_apps/tests/common.TestCase", line 74, in _find_all
    path = fdroidserver.common.find_sdk_tools_cmd(cmd)
  File "/var/lib/jenkins/userContent/reproducible/reproducible_fdroid_build_apps/fdroidserver/common.py", line 374, in find_sdk_tools_cmd
    ensure_build_tools_exists(config)
  File "/var/lib/jenkins/userContent/reproducible/reproducible_fdroid_build_apps/fdroidserver/common.py", line 429, in ensure_build_tools_exists
    versioned_build_tools = os.path.join(build_tools, thisconfig['build_tools'])
KeyError: 'build_tools'

----------------------------------------------------------------------
Ran 10 tests in 2.938s

FAILED (errors=1)
localmodule: /var/lib/jenkins/userContent/reproducible/reproducible_fdroid_build_apps
+ cleanup_all
++ date -u
Wed Nov  8 12:18:18 UTC 2017 - cleanup done.
+ echo 'Wed Nov  8 12:18:18 UTC 2017 - cleanup done.'
Wed Nov  8 12:18:18 UTC 2017 - /srv/jenkins/bin/reproducible_fdroid_test.sh stopped running as /tmp/jenkins-script-H1qWiSEQ, which will now be removed.

SSH EXIT CODE: 1
Build step 'Execute shell' marked build as failure



More information about the Qa-jenkins-scm mailing list